package com.pcloud.book.group.dao.impl;

import com.pcloud.book.group.dao.BookGroupCipherUserDao;
import com.pcloud.book.group.entity.BookGroupCipherUser;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Component;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/9/24 15:19
 **/
@Component("bookGroupCipherUserDao")
public class BookGroupCipherUserDaoImpl extends BaseDaoImpl<BookGroupCipherUser> implements BookGroupCipherUserDao {
    @Override
    public Long getBookGroupIdByWxUserId(String wxUserId) {
        return this.getSqlSession().selectOne(this.getStatement("getBookGroupIdByWxUserId"), wxUserId);
    }
}
